X = 5
L = list(map(lambda x: 2 ** x, range(7)))      # Lub [2 ** x for x in range(7)]
print(L)

if (2 ** X) in L:
    print((2 ** X), 'odnaleziono pod indeksem', L.index(2 ** X))
else:
    print(X, 'nie odnaleziono')

